org.apache.calcite.avatica

## Enum Meta.StatementType

- java.lang.Object
- - java.lang.Enum<Meta.StatementType>
  - - org.apache.calcite.avatica.Meta.StatementType

All Implemented Interfaces:
  Serializable, Comparable<Meta.StatementType>

Enclosing interface:
  Meta

    public static enum Meta.StatementType
    extends Enum<Meta.StatementType>

Type of statement.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALTER`
`CALL`
`CREATE`
`DELETE`
`DROP`
`INSERT`
`IS_DML`
`MERGE`
`OTHER_DDL`
`OTHER_DML`
`SELECT`
`UPDATE`
`UPSERT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `canUpdate()`
`static Meta.StatementType` `fromProto(Common.StatementType proto)`
`Common.StatementType` `toProto()`
`static Meta.StatementType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Meta.StatementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SELECT

    public static final Meta.StatementType SELECT

#### INSERT

    public static final Meta.StatementType INSERT

#### UPDATE

    public static final Meta.StatementType UPDATE

#### DELETE

    public static final Meta.StatementType DELETE

#### UPSERT

    public static final Meta.StatementType UPSERT

#### MERGE

    public static final Meta.StatementType MERGE

#### OTHER_DML

    public static final Meta.StatementType OTHER_DML

#### IS_DML

    public static final Meta.StatementType IS_DML

#### CREATE

    public static final Meta.StatementType CREATE

#### DROP

    public static final Meta.StatementType DROP

#### ALTER

    public static final Meta.StatementType ALTER

#### OTHER_DDL

    public static final Meta.StatementType OTHER_DDL

#### CALL

    public static final Meta.StatementType CALL

### Method Detail

#### values

    public static Meta.StatementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Meta.StatementType c : Meta.StatementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Meta.StatementType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### canUpdate

    public boolean canUpdate()

#### toProto

    public Common.StatementType toProto()

#### fromProto

    public static Meta.StatementType fromProto(Common.StatementType proto)